=== debian/control ===
Source: ros-noetic-cob-omni-drive-controller
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-noetic-angles, ros-noetic-catkin, ros-noetic-cob-base-controller-utils, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-hardware-interface, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-omni-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-noetic-angles, ros-noetic-cob-base-controller-utils, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-hardware-interface, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-urdf
Description: The cob_omni_drive_controller package provides a ros_controller plugin for the Care-O-bot omni-directional base platform.
